package com.zhyc.module.biosafety.service;

import java.util.List;

import com.zhyc.module.biosafety.domain.Deworm;

/**
 * 驱虫Service接口
 * 
 * @author ruoyi
 * @date 2025-07-15
 */
public interface IDewormService 
{
    /**
     * 查询驱虫
     * 
     * @param id 驱虫主键
     * @return 驱虫
     */
    public Deworm selectDewormById(Long id);

    /**
     * 查询驱虫列表
     * 
     * @param deworm 驱虫
     * @return 驱虫集合
     */
    public List<Deworm> selectDewormList(Deworm deworm);

    /**
     * 新增驱虫
     * 
     * @param deworm 驱虫
     * @return 结果
     */
    public int insertDeworm(Deworm deworm);

    /**
     * 修改驱虫
     * 
     * @param deworm 驱虫
     * @return 结果
     */
    public int updateDeworm(Deworm deworm);

    /**
     * 批量删除驱虫
     * 
     * @param ids 需要删除的驱虫主键集合
     * @return 结果
     */
    public int deleteDewormByIds(Long[] ids);

    /**
     * 删除驱虫信息
     * 
     * @param id 驱虫主键
     * @return 结果
     */
    public int deleteDewormById(Long id);
}
